General Endpoints
Test connectivity and retrieve exchange metadata. These endpoints require no authentication.
Binance API Reference: General Endpoints
Ping
Test connectivity to the API.
val pong: F[Json] = client.ping
| Endpoint | GET /api/v3/ping |
| Auth | None |
| Weight | 1 |
Server Time
Get the current server time.
val time: F[ServerTime] = client.serverTime
// ServerTime(serverTime: Long)
| Endpoint | GET /api/v3/time |
| Auth | None |
| Weight | 1 |
Exchange Information
Get current exchange trading rules and symbol information.
// All symbols
val info: F[ExchangeInfo] = client.exchangeInfo
// Single symbol
val btcInfo: F[ExchangeInfo] = client.exchangeInfo("BTCUSDT")
| Endpoint | GET /api/v3/exchangeInfo |
| Auth | None |
| Weight | 20 |
Response model:
case class ExchangeInfo(
timezone: String,
serverTime: Long,
rateLimits: List[RateLimit],
symbols: List[SymbolInfo]
)